# sync: rh-2.4.7-7

%define snap 050607

Summary: 	Advanced IP routing and network device configuration tools
Name:		iproute2
Version: 	2.6.10
Release: 	2mdk
License: 	GPL
Url:		http://developer.osdl.org/dev/iproute2/
Group:  	Networking/Other
Source2: iproute2-man8.tar.bz2
Source: 	%{name}-ss%snap.tar.bz2
# RH patches
#Patch5 is fscking compilation against kernel22 in rh
Patch6: iproute2-flags.patch.bz2
# MDK patches
Patch100: iproute2-def-echo.patch.bz2
Patch102: iproute2-2.4.7-bashfix.patch.bz2
Patch105: iproute2-mult-deflt-gateways.patch.bz2
Patch106: iproute2-2.6.X-ss040702-build-fix.patch.bz2

BuildRequires:	bison
BuildRequires:	db4-devel
BuildRequires:	kernel-source => 2.6.7
BuildRequires:	linuxdoc-tools
BuildRequires:  linux-atm-devel
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	iputils

%package doc
Summary: Documentation for Advanced IP routing and network device configuration tools
Group:  	Networking/Other

%description
The iproute package contains networking utilities (ip, tc and rtmon,
for example) which are designed to use the advanced networking
capabilities of the Linux 2.2.x kernels and later,  such as policy 
routing, fast NAT and packet scheduling.


%description doc
Documentation for iproute

%prep
%setup -q -n %name-ss%snap
%patch6 -p1 -b .flags

%patch100 -p1
%patch102 -p1 -b .bashfix
#%patch105 -p1 -b .make
%patch106 -p1 -b .build

%build
%define optflags -ggdb
%make KERNEL_INCLUDE=/usr/src/linux/include
%make -C doc

%install
rm -fr $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{sbin,%{_sysconfdir}/iproute2}

install -m 755 ip/ifcfg $RPM_BUILD_ROOT/sbin
install -m 755 ip/routef $RPM_BUILD_ROOT/sbin
install -m 755 ip/routel $RPM_BUILD_ROOT/sbin
install -m 755 ip/ip $RPM_BUILD_ROOT/sbin
install -m 755 ip/rtmon $RPM_BUILD_ROOT/sbin
install -m 755 misc/rtacct $RPM_BUILD_ROOT/sbin
install -m 755 tc/tc $RPM_BUILD_ROOT/sbin
install -m 644 etc/iproute2/rt_dsfield $RPM_BUILD_ROOT%{_sysconfdir}/iproute2
install -m 644 etc/iproute2/rt_protos $RPM_BUILD_ROOT%{_sysconfdir}/iproute2
install -m 644 etc/iproute2/rt_realms $RPM_BUILD_ROOT%{_sysconfdir}/iproute2
install -m 644 etc/iproute2/rt_scopes $RPM_BUILD_ROOT%{_sysconfdir}/iproute2
install -m 644 etc/iproute2/rt_tables $RPM_BUILD_ROOT%{_sysconfdir}/iproute2
mkdir -p $RPM_BUILD_ROOT/%_mandir
tar xfj %SOURCE2 -C $RPM_BUILD_ROOT/%_mandir/

%clean
rm -fr %buildroot

%files
%defattr (-,root,root)
%dir %{_sysconfdir}/iproute2
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/iproute2/*
/sbin/*
%_mandir/man8/*

%files doc
%defattr (-,root,root)
%doc README README.iproute2+tc RELNOTES README.decnet
%doc doc/*.dvi doc/*.ps doc/Plan examples/

%changelog
* Fri Jun 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.10-2mdk
- 20050607 snapshot

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.10-1mdk
- 20050124 snapshot

* Thu Jan 06 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.9-1mdk
- 20041019 snapshot

* Sun Aug 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.8-3mdk
- 20040823 snapshot

* Thu Aug 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.8-2mdk
- 20040730 snapshot

* Thu Aug 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.8-1mdk
- 20040702 snapshot

* Tue Jul 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.7-4mdk
- new snapshot
- fix buildrequires
- kill patches 4, 9
- redo patch 6, 106

* Thu Jul  1 2004 Pixel <pixel@mandrakesoft.com> 2.6.7-3mdk
- move documentation to iproute2-doc 
  (for space since iproute2 is always installed since it is required by initscripts)

* Fri Jun 25 2004 Stefan van der Eijk <stefan@mandrake.org> 2.6.7-2mdk
- BuildRequires: bison linuxdoc-tools

* Thu Jun 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.7-1mdk
- new release
- kill patches 1, 2, 8, 103, 104 (merged upstream)
- disable patch 105 for now
- patch 106: fix build with libdb-4.1
- fix buildrequires

* Fri Aug  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.7-11mdk
- nuke kernel-source dep

* Wed Jul 16 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.7-10mdk
- patch 105 : fix problem (first hop always dead) with multiple default gateway
  and load balacing in equal cost multipath enviroment (submitted Fausto
  Moretti <fausto@stayvirtual.it>, from a Julian Anastasov patch at 
  http://marc.theaimsgroup.com/?l=lartc&m=100885677229167&w=2)
  
* Wed May 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.7-9mdk
- resync with rh2.4.7-7
- patch 8: when specifying fwmark based routing rules, /sbin/ip silently
  assumes that the number on the command line is in hex, whether or not it is
  prefixed with 0x (anyway the rule is listed it is not indicated to be hex)
- patch 9: add missing diffserv support in config 
- %%make: do not rely on /usr/src/linux/include but on kernel-headers package
  (which will ease porters job)
- patch 104: fix build system due to previous change

* Fri Jan 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.7-8mdk
- build release

* Mon Nov 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.7-7mdk
- patch 103 : add support for htb 3

* Fri Nov 22 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.4.7-6mdk
- Fix typo in Requires

* Thu Nov 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.7-5mdk
- disable patch 101 (HTB) broken by latest kernel-headers
- remove source 1
- source 2 : add new man pages (iproute.8, tc-cbq.8, tc-htb.8, tc-pbfifo.8,
  tc-pfifo_fast.8, tc-prio.8, tc-red.8, tc-sfq.8, tc-tbf.8, tc.8)

* Mon Jul 08 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.7-4mdk
- /sbin/ifcfg:typeset -i for a variable so it will work instead of bailing out.

* Mon Jul  1 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.4.7-3mdk
- change BuildRequires from kernel22-source to kernel-source
- change description

* Tue Apr 16 2002 Florin <florin@mandrakesoft.com> 2.4.7-2mdk
- add the htb patch

* Mon Mar 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.7-1mdk
- new release: 20010824 snaphot
- better summary
- resync with rh-2.4.7-1

* Sat Mar 23 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-14mdk
- Allow build

* Tue Nov 13 2001 Stefan van der Eijk <stefan@eijk.nu> 2.2.4-13mdk
- BuildRequires: kernel-source tetex-dvips tetex-latex

* Tue Nov 13 2001 Philippe Libat <philippe@mandrakesoft.com> 2.2.4-12mdk
- include mode documentation
- include more sbin

* Tue Oct 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-11mdk
- add url

* Tue Oct 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-10mdk
- qa-ize()

* Wed Jul 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-9mdk
- build release
- spec cleaning

* Thu May 17 2001 Stew Benedict <sbeneict@mandrakesoft.com> 2.2.4-8mdk
- provide missing define in if_ether.h in some kernel trees

* Thu Nov 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.4-7mdk
- Fix glibc22 compilation.

* Thu Aug 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-6mdk
- fix config files

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-5mdk
- BM

* Wed Jul 12 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.2.4-4mdk
- removed _sysconfdir 
- added %clean

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-3mdk
- fix a few typo (chrs scks :-) ) and make this spec short-circuit aware :
  *  _sysconfig/_sysconfdir
  *  creation of subdirs while installing
- Christian Zoffoli <czoffoli@linux-mandrake.com> : macroszifications

* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-2mdk
- fix group and files section

* Wed Mar 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-1mdk
- mandrake build
- used latest release of 2.2.4 series / 000225
 
* Mon Apr 26 1999 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- Added $RPM_OPT_FLAGS
 
* Fri Apr 23 1999 Damien Miller <damien@ibs.com.au>
- Built RPM  
